<?
          session_start();
if (!isset ($_SESSION['isAdmin']))
{
	header("Location: login.php");
	exit ();
}

if ($_SERVER["REQUEST_METHOD"] == "POST")
{
	switch ($_POST["mode"])
	{
		case "posts" :
			$smarty->display("posts.tpl");

			break;

		case "config" :

			echo ("설정");

			break;

		case "bookmark" :
			$smarty->display("bookmark.tpl");

			break;

		default :
			$smarty->display("main.tpl");

			break;
	}
}

define('SMARTY_DIR', '../libs/smarty/');

require (SMARTY_DIR.'Smarty.class.php');

$smarty = new Smarty;
$smarty->force_compile = true;
$smarty->compile_dir = "../data/cache/admin/";
$smarty->cache_dir = "../data/cache/admin/";
$smarty->template_dir = "./template/";

if(!isset($_GET["mode"])) $_GET["mode"] = "";

switch ($_GET["mode"])
{
	case "posts_list" :
		$smarty->display("posts_list.tpl");

		break;

	case "config" :

		include_once ("Config.class.php");
		$cf = new Config();

		$smarty->assign("blog_name", $cf->blogName);
		$smarty->assign("blog_desc", $cf->blogDes);
		$smarty->assign("blog_entries_per_page", $cf->blogArticle);
		$smarty->assign("blog_notify", $cf->blogNotifyEmail);
		$smarty->assign("blog_skin", $cf->blogSkin);
		$smarty->assign("admin_name", $cf->blogAdminName);
		$smarty->assign("admin_email", $cf->blogAdminEmail);

		$smarty->display("config.tpl");

		break;

	case "bookmark" :
		$smarty->display("bookmark.tpl");

		break;

	default :
		$smarty->display("main.tpl");

		break;
}

function configUpdate($blogname, $blogdesc, $blogurl, $perpage, $blognotify, $adminname, $adminemail, $adminpassword, $skin = "default")
{
	$fd = fopen("config.php", "w");
	fwrite($fd, "<?\n");
	fwrite($fd, '$blog_name="'.$blogname."\";\n");
	fwrite($fd, '$blog_desc="'.$blogdesc."\";\n");
	fwrite($fd, '$blog_baseurl="'.$blogurl."\";\n");
	fwrite($fd, '$blog_entries_per_page='.$perpage.";\n");
	if ($blogfancyurl == "on")
	{
		fwrite($fd, '$blog_fancyurl=true;'."\n");
	}
	else
	{
		fwrite($fd, '$blog_fancyurl=false;'."\n");
	}
	if ($blognotify == "on")
	{
		fwrite($fd, '$notify=true;'."\n");
	}
	else
	{
		fwrite($fd, '$notify=false;'."\n");
	}
	fwrite($fd, '$blog_skin="'.$skin."\";\n");
	fwrite($fd, '$admin_name="'.$adminname."\";\n");
	fwrite($fd, '$admin_email="'.$adminemail."\";\n");
	if ($adminpassword === FALSE)
	{
		global $admin_password;
		fwrite($fd, '$admin_password="'.$admin_password."\";\n");
	}
	else
	{
		fwrite($fd, '$admin_password="'.$adminpassword."\";\n");
	}
	fwrite($fd, "?>");
	fclose($fd);
	return false;
}

?>